Issue 10446

Title
Duplicating with GTK-Client stays on the original record
Priority
bug
Status
resolved
Nosy list
ced, pokoli, reviewbot, risto3, roundup-bot, yangoon
Assigned to
ced
Keywords
review

Created on 2021-05-20.10:39:01 by yangoon, last changed 2 weeks ago by roundup-bot.

Messages

New changeset 77a9405aada5 by Cédric Krier in branch '5.0':
Load ids and clear tree_states_done
https://hg.tryton.org/tryton-env/rev/77a9405aada5
New changeset ee43feb8166c by Cédric Krier in branch '5.0':
Load ids and clear tree_states_done
https://hg.tryton.org/tryton/rev/ee43feb8166c
New changeset fbbc91013977 by Cédric Krier in branch '5.0':
Clear tree_states_done only on screen clear and reset views
https://hg.tryton.org/tryton/rev/fbbc91013977
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-08-18.23:16:52

It seems it is needed to also backport to 5.0: https://discuss.tryton.org/t/duplicate-record-error-on-gtk-client/4544

New changeset f47c9ad1c120 by Cédric Krier in branch '6.0':
Clear tree_states_done only on screen clear and reset views
https://hg.tryton.org/tryton/rev/f47c9ad1c120

New changeset a43a83363913 by Cédric Krier in branch '5.8':
Clear tree_states_done only on screen clear and reset views
https://hg.tryton.org/tryton/rev/a43a83363913
New changeset 932d230de8b2 by Cédric Krier in branch '6.0':
Clear tree_states_done only on screen clear and reset views
https://hg.tryton.org/sao/rev/932d230de8b2

New changeset d1d8224a302d by Cédric Krier in branch '5.8':
Clear tree_states_done only on screen clear and reset views
https://hg.tryton.org/sao/rev/d1d8224a302d
New changeset faa82a7f6487 by Cédric Krier in branch 'default':
Clear tree_states_done only on screen clear and reset views
https://hg.tryton.org/tryton-env/rev/faa82a7f6487
New changeset ab9ce1d26e1c by Cédric Krier in branch 'default':
Clear tree_states_done only on screen clear and reset views
https://hg.tryton.org/tryton/rev/ab9ce1d26e1c
New changeset c3c7a1f4b623 by Cédric Krier in branch 'default':
Clear tree_states_done only on screen clear and reset views
https://hg.tryton.org/sao/rev/c3c7a1f4b623
Author: [hidden] (yangoon) Tryton translator
Date: 2021-06-10.08:33:32

Tested with Tryton Client 6.0.2, works for me.

Author: [hidden] (risto3)
Date: 2021-06-07.11:06:11

+1 and please backport to 5.8

Author: [hidden] (yangoon) Tryton translator
Date: 2021-05-20.10:39:01

Duplicating a record with tryton 6.0.1 says "Working now on the duplicated record(s).", but as well in the list view as on the form view it stays on the original record. The web client works as expected.

History
Date User Action Args
2021-09-08 10:13:06roundup-botsetmessages: + msg69935
2021-09-08 10:12:52roundup-botsetmessages: + msg69934
2021-08-30 13:39:08roundup-botsetkeyword: - backport
messages: + msg69709
status: chatting -> resolved
2021-08-18 23:16:52cedsetkeyword: + backport
messages: + msg69431
status: resolved -> chatting
2021-06-23 23:01:18roundup-botsetmessages: + msg68407
2021-06-23 23:01:16roundup-botsetkeyword: - backport
messages: + msg68406
2021-06-11 00:24:39roundup-botsetmessages: + msg68195
2021-06-11 00:24:32roundup-botsetmessages: + msg68194
2021-06-11 00:24:21roundup-botsetmessages: + msg68193
nosy: + roundup-bot
status: testing -> resolved
2021-06-10 08:33:32yangoonsetmessages: + msg68180

Showing 10 items. Show all history (warning: this could be VERY long)